<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: include/commissioning/commissioner.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('de/d11/commissioner_8h_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">commissioner.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../de/d11/commissioner_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#ifndef OPENTHREAD_COMMISSIONER_H_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#define OPENTHREAD_COMMISSIONER_H_</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#ga854253a3f0689c0ad92d0787a5c7da80">otCommissionerStart</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#ga3cd811aefff2ff186e755cf74a7869ef">otCommissionerStop</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#ga5ddd173d43687ca866240d437030f720">otCommissionerAddJoiner</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, <span class="keyword">const</span> <a class="code" href="../../d3/d8f/structotExtAddress.html">otExtAddress</a> *aExtAddress, <span class="keyword">const</span> <span class="keywordtype">char</span> *aPSKd);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#ga7eca08cb99f4224e37476b67a348ad9f">otCommissionerRemoveJoiner</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aIntsance, <span class="keyword">const</span> <a class="code" href="../../d3/d8f/structotExtAddress.html">otExtAddress</a> *aExtAddress);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#gae331dc98d42e20b22a5e5fa1ef6495ab">otCommissionerSetProvisioningUrl</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, <span class="keyword">const</span> <span class="keywordtype">char</span> *aProvisioningUrl);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#gafc7d7b8c957afd5f70262d76fb09e5c7">otCommissionerAnnounceBegin</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint32_t aChannelMask, uint8_t aCount, uint16_t aPeriod,</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;                                        <span class="keyword">const</span> <a class="code" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *aAddress);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno"><a class="line" href="../../d7/d42/group__core-commissioning.html#ga1f63c8d167d722b6d966216a099e5ca7">  132</a></span>&#160;<span class="keyword">typedef</span> void (*<a class="code" href="../../d7/d42/group__core-commissioning.html#ga1f63c8d167d722b6d966216a099e5ca7">otCommissionerEnergyReportCallback</a>)(uint32_t aChannelMask, <span class="keyword">const</span> uint8_t *aEnergyList,</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                                                   uint8_t aEnergyListLength, <span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#gae9ca3bf349ed3865e8a29b4dd4757ab9">otCommissionerEnergyScan</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint32_t aChannelMask, uint8_t aCount, uint16_t aPeriod,</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;                                     uint16_t aScanDuration, <span class="keyword">const</span> <a class="code" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *aAddress,</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;                                     <a class="code" href="../../d7/d42/group__core-commissioning.html#ga1f63c8d167d722b6d966216a099e5ca7">otCommissionerEnergyReportCallback</a> aCallback, <span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno"><a class="line" href="../../d7/d42/group__core-commissioning.html#gae7b76d9f6372ce6169950694b976e89e">  163</a></span>&#160;<span class="keyword">typedef</span> void (*<a class="code" href="../../d7/d42/group__core-commissioning.html#gae7b76d9f6372ce6169950694b976e89e">otCommissionerPanIdConflictCallback</a>)(uint16_t aPanId, uint32_t aChannelMask, <span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#ga22936071b82ace08544b3b40a585ee54">otCommissionerPanIdQuery</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aPanId, uint32_t aChannelMask,</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;                                     <span class="keyword">const</span> <a class="code" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *aAddress,</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;                                     <a class="code" href="../../d7/d42/group__core-commissioning.html#gae7b76d9f6372ce6169950694b976e89e">otCommissionerPanIdConflictCallback</a> aCallback, <span class="keywordtype">void</span> *aContext);</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#ga85d8a2ef989afe2475ba56ce0f732a60">otSendMgmtCommissionerGet</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *, <span class="keyword">const</span> uint8_t *aTlvs, uint8_t aLength);</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d7/d42/group__core-commissioning.html#ga35893b93367df048361583d6d95496de">otSendMgmtCommissionerSet</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *, <span class="keyword">const</span> <a class="code" href="../../da/da0/structotCommissioningDataset.html">otCommissioningDataset</a> *aDataset,</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;                                      <span class="keyword">const</span> uint8_t *aTlvs, uint8_t aLength);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;}  <span class="comment">// end of extern &quot;C&quot;</span></div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;<span class="preprocessor">#endif  // OPENTHREAD_COMMISSIONER_H_</span></div><div class="ttc" id="group__core-commissioning_html_gae331dc98d42e20b22a5e5fa1ef6495ab"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#gae331dc98d42e20b22a5e5fa1ef6495ab">otCommissionerSetProvisioningUrl</a></div><div class="ttdeci">ThreadError otCommissionerSetProvisioningUrl(otInstance *aInstance, const char *aProvisioningUrl)</div><div class="ttdoc">This function sets the Provisioning URL. </div></div>
<div class="ttc" id="structotIp6Address_html"><div class="ttname"><a href="../../d6/d55/structotIp6Address.html">otIp6Address</a></div><div class="ttdoc">This structure represents an IPv6 address. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:285</div></div>
<div class="ttc" id="structotInstance_html"><div class="ttname"><a href="../../d2/d83/structotInstance.html">otInstance</a></div><div class="ttdoc">This type represents all the static / global variables used by OpenThread allocated in one place...</div><div class="ttdef"><b>Definition:</b> openthread-instance.h:50</div></div>
<div class="ttc" id="group__core-commissioning_html_ga3cd811aefff2ff186e755cf74a7869ef"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#ga3cd811aefff2ff186e755cf74a7869ef">otCommissionerStop</a></div><div class="ttdeci">ThreadError otCommissionerStop(otInstance *aInstance)</div><div class="ttdoc">This function disables the Thread Commissioner role. </div></div>
<div class="ttc" id="group__core-commissioning_html_ga5ddd173d43687ca866240d437030f720"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#ga5ddd173d43687ca866240d437030f720">otCommissionerAddJoiner</a></div><div class="ttdeci">ThreadError otCommissionerAddJoiner(otInstance *aInstance, const otExtAddress *aExtAddress, const char *aPSKd)</div><div class="ttdoc">This function adds a Joiner entry. </div></div>
<div class="ttc" id="structotCommissioningDataset_html"><div class="ttname"><a href="../../da/da0/structotCommissioningDataset.html">otCommissioningDataset</a></div><div class="ttdoc">This structure represents a Commissioning Dataset. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:429</div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="group__core-commissioning_html_gafc7d7b8c957afd5f70262d76fb09e5c7"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#gafc7d7b8c957afd5f70262d76fb09e5c7">otCommissionerAnnounceBegin</a></div><div class="ttdeci">ThreadError otCommissionerAnnounceBegin(otInstance *aInstance, uint32_t aChannelMask, uint8_t aCount, uint16_t aPeriod, const otIp6Address *aAddress)</div><div class="ttdoc">This function sends an Announce Begin message. </div></div>
<div class="ttc" id="group__core-commissioning_html_ga1f63c8d167d722b6d966216a099e5ca7"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#ga1f63c8d167d722b6d966216a099e5ca7">otCommissionerEnergyReportCallback</a></div><div class="ttdeci">void(* otCommissionerEnergyReportCallback)(uint32_t aChannelMask, const uint8_t *aEnergyList, uint8_t aEnergyListLength, void *aContext)</div><div class="ttdoc">This function pointer is called when the Commissioner receives an Energy Report. </div><div class="ttdef"><b>Definition:</b> commissioner.h:132</div></div>
<div class="ttc" id="group__core-commissioning_html_ga7eca08cb99f4224e37476b67a348ad9f"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#ga7eca08cb99f4224e37476b67a348ad9f">otCommissionerRemoveJoiner</a></div><div class="ttdeci">ThreadError otCommissionerRemoveJoiner(otInstance *aIntsance, const otExtAddress *aExtAddress)</div><div class="ttdoc">This function removes a Joiner entry. </div></div>
<div class="ttc" id="group__core-commissioning_html_ga85d8a2ef989afe2475ba56ce0f732a60"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#ga85d8a2ef989afe2475ba56ce0f732a60">otSendMgmtCommissionerGet</a></div><div class="ttdeci">ThreadError otSendMgmtCommissionerGet(otInstance *, const uint8_t *aTlvs, uint8_t aLength)</div><div class="ttdoc">This function sends MGMT_COMMISSIONER_GET. </div></div>
<div class="ttc" id="group__core-commissioning_html_ga854253a3f0689c0ad92d0787a5c7da80"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#ga854253a3f0689c0ad92d0787a5c7da80">otCommissionerStart</a></div><div class="ttdeci">ThreadError otCommissionerStart(otInstance *aInstance)</div><div class="ttdoc">This function enables the Thread Commissioner role. </div></div>
<div class="ttc" id="structotExtAddress_html"><div class="ttname"><a href="../../d3/d8f/structotExtAddress.html">otExtAddress</a></div><div class="ttdoc">This type represents the IEEE 802.15.4 Extended Address. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:274</div></div>
<div class="ttc" id="group__core-commissioning_html_ga22936071b82ace08544b3b40a585ee54"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#ga22936071b82ace08544b3b40a585ee54">otCommissionerPanIdQuery</a></div><div class="ttdeci">ThreadError otCommissionerPanIdQuery(otInstance *aInstance, uint16_t aPanId, uint32_t aChannelMask, const otIp6Address *aAddress, otCommissionerPanIdConflictCallback aCallback, void *aContext)</div><div class="ttdoc">This function sends a PAN ID Query message. </div></div>
<div class="ttc" id="group__core-commissioning_html_gae9ca3bf349ed3865e8a29b4dd4757ab9"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#gae9ca3bf349ed3865e8a29b4dd4757ab9">otCommissionerEnergyScan</a></div><div class="ttdeci">ThreadError otCommissionerEnergyScan(otInstance *aInstance, uint32_t aChannelMask, uint8_t aCount, uint16_t aPeriod, uint16_t aScanDuration, const otIp6Address *aAddress, otCommissionerEnergyReportCallback aCallback, void *aContext)</div><div class="ttdoc">This function sends an Energy Scan Query message. </div></div>
<div class="ttc" id="group__core-commissioning_html_ga35893b93367df048361583d6d95496de"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#ga35893b93367df048361583d6d95496de">otSendMgmtCommissionerSet</a></div><div class="ttdeci">ThreadError otSendMgmtCommissionerSet(otInstance *, const otCommissioningDataset *aDataset, const uint8_t *aTlvs, uint8_t aLength)</div><div class="ttdoc">This function sends MGMT_COMMISSIONER_SET. </div></div>
<div class="ttc" id="group__core-commissioning_html_gae7b76d9f6372ce6169950694b976e89e"><div class="ttname"><a href="../../d7/d42/group__core-commissioning.html#gae7b76d9f6372ce6169950694b976e89e">otCommissionerPanIdConflictCallback</a></div><div class="ttdeci">void(* otCommissionerPanIdConflictCallback)(uint16_t aPanId, uint32_t aChannelMask, void *aContext)</div><div class="ttdoc">This function pointer is called when the Commissioner receives a PAN ID Conflict message. </div><div class="ttdef"><b>Definition:</b> commissioner.h:163</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="../../dir_cc6fdf046a3f76ddce7c96f423d4991d.html">commissioning</a></li><li class="navelem"><a class="el" href="../../de/d11/commissioner_8h.html">commissioner.h</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:33 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
